# __gnu_parallel::nothing Struct Reference

List of all members.

## Detailed Description

Functor doing nothing.

For some reduction tasks (this is not a function object, but is passed as selector dummy parameter.

Definition at line 295 of file for_each_selectors.h.

## Public Member Functions

- template<typename It> void operator() (It i)

## Member Function Documentation

template<typename It>

void __gnu_parallel::nothing::operator() | ( | It | i | ) | `[inline]`

Functor execution.

Parameters:

  | i | Iterator referencing object.

Definition at line 301 of file for_each_selectors.h.

The documentation for this struct was generated from the following file:

- for_each_selectors.h